Update CU min threshold
Update the CU minimum balance threshold for an organization (admin only)
PUT
/v1/organizations/{orgId}/cu/threshold
Update the CU minimum balance threshold for an organization (admin only)
Path Parameters
orgId
string
required
path
Organization ID
Request Body required
Threshold parameters
application/jsonOne of:
Option 1
Option 2
minThreshold
number
Responses
200
OK
application/jsoncode
integer
data
object
newThreshold
number
oldThreshold
number
message
string
requestId
string
400
Bad Request
403
Forbidden
500
Internal Server Error
curl -X PUT 'https://api.example.com/v1/organizations/string/cu/threshold' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/cu/threshold', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/organizations/string/cu/threshold', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PUT", "https://api.example.com/v1/organizations/string/cu/threshold", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "newThreshold": 123, "oldThreshold": 123 }, "message": "successfully", "requestId": "req_abc123"}
API Playground
Try this endpoint
PUT
/v1/organizations/{orgId}/cu/threshold
